List Journeys
curl --request GET \
--url https://api.{your-broker}.slate-labs.com/prop/journeys \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.{your-broker}.slate-labs.com/prop/journeys"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.{your-broker}.slate-labs.com/prop/journeys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"journey_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customer_name": "<string>",
"customer_email": "<string>",
"template_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"template_name": "<string>",
"account_currency": "<string>",
"status": "<string>",
"current_phase": "<string>",
"current_account_login": "<string>",
"profit_to_date": 123,
"profit_target": 123,
"total_paid": 123,
"total_paid_currency": "<string>",
"created_at": "<string>"
}
],
"total": 123,
"aggregates": {
"active_count": 123,
"completed_count": 123,
"breached_count": 123,
"total_revenue_usd": 123,
"total_paid_out_usd": 123,
"pending_payout_usd": 123
},
"_meta": {
"permissions": {
"can_grant_journey": false,
"can_reset_journey": false,
"can_cancel_journey": false
}
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Prop trading
List Journeys
List prop journeys, scoped to the caller’s view.
We resolve visible customer ids by applying apply_customer_view_scope
to a Customer.id-only select, then filter journeys by that id set. This
keeps scope semantics consistent with other list endpoints (compliance).
GET
/
prop
/
journeys
List Journeys
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
⌘I